Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.native2ascii
Interface Native2AsciiAdapter

All Known Implementing Classes:
  DefaultNative2Ascii

public interface Native2AsciiAdapter

Interface for an adapter to a native2ascii implementation.

Since:
  Ant 1.6.3

Method Summary
`boolean` | `convert(Native2Ascii args, java.io.File srcFile, java.io.File destFile)` Convert the encoding of srcFile writing to destFile.

Method Detail

### convert

    public boolean convert(Native2Ascii args,
                           java.io.File srcFile,
                           java.io.File destFile)
                    throws BuildException

  Convert the encoding of srcFile writing to destFile.

  Parameters:
    `args` - Task that holds command line arguments and allows the implementation to send messages to Ant's logging system
    `srcFile` - the source to convert
    `destFile` - where to send output to
  Returns:
    whether the conversion has been successful.
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.